%global version_url %(echo %{version}|tr . _)
%global jar         %{name}.jar
%global java_home   /usr/lib/jvm/java

Name:           umlgraph
Version:        5.7.2
Release:        9%{?dist}
Summary:        Automated Drawing of UML Diagrams

License:        BSD
URL:            http://%{name}.org/
Source0:        https://github.com/dspinellis/%{name}/archive/R%{version_url}.tar.gz#/%{name}-%{version}.tar.gz
#Source1:        http://repo2.maven.org/maven2/org/%{name}/%{name}/5.6.6/%{name}-5.6.6.pom
Patch0:         umlgraph-nogit.patch

BuildRequires: ant
BuildRequires: graphviz

# javadoc API must be for jdk8
BuildRequires: java-devel >= 1.8

Requires: graphviz
Requires: java-headless

BuildArch: noarch

%description
%{name} allows the declarative specification and drawing of UML class
and sequence diagrams. The specification is done in text diagrams, 
that are then transformed into the appropriate graphical representations. 

%package javadoc
Summary:        Javadoc for %{name}
Requires:       javapackages-tools

%description javadoc
API documentation for %{name}.


%prep
%setup -q -nUMLGraph-R%{version_url}
%patch0 -p1
# clean make environment
sed -i 's|\${VERSION}|%{version}|g' build.xml
sed -i 's|UmlGraph.jar|%{jar}|g' build.xml
sed -i 's|javase/7|javase/8|g' build.xml
sed -i 's|\(VERSION:=\).*|\1%{version}|' Makefile
sed -i 's|UmlGraph.jar|%{jar}|g' Makefile
sed -i 's|.*dds.*||g' Makefile
sed -i 's|UmlGraph.jar|%{jar}|g' doc/Makefile
sed -i 's|.gif|.svg|g' doc/Makefile
sed -i 's|.*NOTETOOLS.*||g' doc/Makefile
find . -name "*.jar" -delete


%build
export JAVA_HOME=%{java_home}
make all
make docs
ant pom


%check
export JAVA_HOME=%{java_home}
make test


%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{jar} $RPM_BUILD_ROOT%{_javadir}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
install -m 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
rm -fr javadoc/gr/spinellis/%{name}/doclet/*.dot
rm -fr javadoc/org/%{name}/doclet/*.dot
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%files -f .mfiles
%doc README.txt TODO LICENSE
%{_javadir}/*.jar

%files javadoc
%doc LICENSE
%doc %{_javadocdir}/%{name}/


%changelog
* Sat Nov 22 2014 Raphael Groner <projects.rg [AT] smart.ms> - 5.7.2-9
- R5_7_2 (rhbz#1159808)
- release from github
- remove upstreamed jdk8 patch
- remove deprecated Group tags
- license file for subpackage

* Wed Jun 11 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 5.6-8
- Fix FTBFS (#1107031)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 21 2014 Alexander Kurtakov <akurtako@redhat.com> 5.6-6
- Require java-headless.
- Use autosetup.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 Alexander Kurtakov <akurtako@redhat.com> 5.6-3
- Do not call git during build.

* Mon Jul 23 2012 Alexander Kurtakov <akurtako@redhat.com> 5.6-2
- BR git.

* Mon Jul 23 2012 Alexander Kurtakov <akurtako@redhat.com> 5.6-1
- New upstream release.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Alexander Kurtakov <akurtako@redhat.com> 5.4-1
- Update to upstream 5.4.

* Thu Oct 8 2009 Alexander Kurtakov <akurtako@redhat.com> 5.2-3
- BR openjdk.

* Wed Oct 7 2009 Alexander Kurtakov <akurtako@redhat.com> 5.2-2
- Add missing BR/R on graphviz.

* Thu Oct 1 2009 Alexander Kurtakov <akurtako@redhat.com> 5.2-1
- Initial package.
